LinuxQuestions.org
Share your knowledge at the LQ Wiki.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Networking > Linux - Wireless Networking
User Name
Password
Linux - Wireless Networking This forum is for the discussion of wireless networking in Linux.

Notices


Reply
  Search this Thread
Old 10-03-2013, 12:32 AM   #91
hemamahe
Member
 
Registered: Jul 2013
Location: india
Posts: 45

Rep: Reputation: Disabled

i have those compiler in my os...
hems@hems-Inspiron-5521:~$ dpkg --list | grep compiler
ii g++ 4:4.6.3-1ubuntu5 GNU C++ compiler
ii g++-4.4 4.4.7-1ubuntu2 GNU C++ compiler
ii g++-4.5 4.5.3-12ubuntu2 GNU C++ compiler
ii g++-4.6 4.6.4-1ubuntu1~12.04 GNU C++ compiler
ii g++-4.7 4.7.3-2ubuntu1~12.04 GNU C++ compiler
ii g++-4.8 4.8.1-2ubuntu1~12.04 GNU C++ compiler
ii gcc 4:4.6.3-1ubuntu5 GNU C compiler
ii gcc-4.4 4.4.7-1ubuntu2 GNU C compiler
ii gcc-4.5 4.5.3-12ubuntu2 The GNU C compiler
ii gcc-4.6 4.6.4-1ubuntu1~12.04 GNU C compiler
ii gcc-4.7 4.7.3-2ubuntu1~12.04 GNU C compiler
ii gcc-4.8 4.8.1-2ubuntu1~12.04 GNU C compiler
ii libprotoc7 2.4.1-1ubuntu2 protocol buffers compiler library
ii protobuf-compiler 2.4.1-1ubuntu2 compiler for protocol buffer definition files..


i need to know which is best suite for aquasim(?) for ubuntu 12.04...

Last edited by hemamahe; 10-03-2013 at 12:33 AM.
 
Old 10-03-2013, 12:50 AM   #92
evo2
LQ Guru
 
Registered: Jan 2009
Location: Japan
Distribution: Mostly Debian and CentOS
Posts: 6,038

Rep: Reputation: 1408Reputation: 1408Reputation: 1408Reputation: 1408Reputation: 1408Reputation: 1408Reputation: 1408Reputation: 1408Reputation: 1408Reputation: 1408
Hi,

Quote:
Originally Posted by hemamahe View Post
how can i use this gcc version default...ubuntu..12.04
Install it and symlink /usr/bin/gcc-4.4 to /usr/bin/gcc

Evo2.
 
Old 10-03-2013, 01:19 AM   #93
hemamahe
Member
 
Registered: Jul 2013
Location: india
Posts: 45

Rep: Reputation: Disabled
how to solve this...
hems@hems-Inspiron-5521:~$ which gcc-4.4
/usr/bin/gcc-4.4
hems@hems-Inspiron-5521:~$ symlinks /usr/bin/gcc-4.4 to /usr/bin/gcc
/usr/bin/gcc-4.4: Not a directory
/home/hems/to: No such file or directory
/usr/bin/gcc: Not a directory
hems@hems-Inspiron-5521:~$
 
Old 10-03-2013, 02:24 AM   #94
hemamahe
Member
 
Registered: Jul 2013
Location: india
Posts: 45

Rep: Reputation: Disabled
hai....i execute this command..
hems@hems-Inspiron-5521:~$ sudo dpkg -i gcc41-compat-4.1.2-ubuntu1210_i386.deb g++41-compat-4.1.2_i386.deb
[sudo] password for hems:
(Reading database ... 206466 files and directories currently installed.)
Preparing to replace gcc41-compat 4.1.2-ubuntu1210 (using gcc41-compat-4.1.2-ubuntu1210_i386.deb) ...
Unpacking replacement gcc41-compat ...
Preparing to replace g++41-compat 4.1.2 (using g++41-compat-4.1.2_i386.deb) ...
Unpacking replacement g++41-compat ...
Setting up gcc41-compat (4.1.2-ubuntu1210) ...
Setting up g++41-compat (4.1.2) ...

after reboot...i check which gcc41
hems@hems-Inspiron-5521:~$ which gcc41
hems@hems-Inspiron-5521:~$ which g++41
hems@hems-Inspiron-5521:~$


but the ececution folder is in /usr...not in /usr/bin...
what to do...
how to solve this...

Last edited by hemamahe; 10-03-2013 at 02:35 AM.
 
Old 10-03-2013, 02:47 AM   #95
evo2
LQ Guru
 
Registered: Jan 2009
Location: Japan
Distribution: Mostly Debian and CentOS
Posts: 6,038

Rep: Reputation: 1408Reputation: 1408Reputation: 1408Reputation: 1408Reputation: 1408Reputation: 1408Reputation: 1408Reputation: 1408Reputation: 1408Reputation: 1408
Hi,

I know I jumped in this thread quite late, but you asked a very specific question, for which there was a very simple answer. Now I've scanned the thread and wonder if perhaps you are in over your head or are taking the wrong approach to your problem.

Anyway, for completeness:
Quote:
Originally Posted by hemamahe View Post
how to solve this...
hems@hems-Inspiron-5521:~$ which gcc-4.4
/usr/bin/gcc-4.4
hems@hems-Inspiron-5521:~$ symlinks /usr/bin/gcc-4.4 to /usr/bin/gcc
Learn what a symlink is. Hint, the command is ln and you'll need the -s flag. You'll also probably need to remove the existing link to /usr/bin/gcc

Evo2.
 
Old 10-03-2013, 03:28 AM   #96
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2020 CentOS6.10 CentOS7.7 + 50+ other Linux OS, for test only.
Posts: 17,383

Rep: Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599
Post # 88 :
Quote:
which gcc is used for ubuntu 12.04 32bits...
if you have that link provide me....
The default gcc's are :
$ sudo apt-get install g++-4.4 g++-4.5 g++-4.6

For ns-allinone, all versions 2.26 .. 2.34 :
It is still the gcc version 4.1.2 linked in post #47.

And no, there is no reason to symlink any gcc / g++.
Unless you are looking for trouble !
A build command is still like
$ export CC=gcc41 CXX=g++41 && ./install

-
 
Old 10-03-2013, 03:47 AM   #97
hemamahe
Member
 
Registered: Jul 2013
Location: india
Posts: 45

Rep: Reputation: Disabled
Is it correct format to run this command ?

hems@hems-Inspiron-5521:~$ sudo dpkg -i gcc41-compat-4.1.2-ubuntu1210_i386.deb g++41-compat-4.1.2_i386.deb
[sudo] password for hems:
(Reading database ... 206466 files and directories currently installed.)
Preparing to replace gcc41-compat 4.1.2-ubuntu1210 (using gcc41-compat-4.1.2-ubuntu1210_i386.deb) ...
Unpacking replacement gcc41-compat ...
Preparing to replace g++41-compat 4.1.2 (using g++41-compat-4.1.2_i386.deb) ...
Unpacking replacement g++41-compat ...
Setting up gcc41-compat (4.1.2-ubuntu1210) ...
Setting up g++41-compat (4.1.2) ...

after reboot...i check which gcc41
hems@hems-Inspiron-5521:~$ which gcc41
hems@hems-Inspiron-5521:~$ which g++41
hems@hems-Inspiron-5521:~$


i execute all this command...but i got

hecking for errno.h... No.
Checking for mmap support... No.
gcc41 -O -DNO_snprintf -DHAS_sprintf_void -DNO_ERRNO_H -c -o example.o example.c
make: gcc41: Command not found
make: *** [example.o] Error 127
Zlib make failed, but it's optional Continue ...
============================================================
* Build tcl8.4.13
============================================================
loading cache ./config.cache
checking whether to use symlinks for manpages... no
checking whether to compress the manpages... no
checking whether to add a package name suffix for the manpages... no
checking for gcc... gcc41
checking whether the C compiler (gcc41 ) works... no
configure: error: installation or configuration problem: C compiler cannot create executables.
tcl8.3.2 configuration failed! Exiting ...
Tcl is not part of the ns project. Please see www.Scriptics.com
to see if they have a fix for your platform.
hems@hems-Inspiron-5521:~/Aqua-Sim-1.0
 
Old 10-03-2013, 04:25 AM   #98
hemamahe
Member
 
Registered: Jul 2013
Location: india
Posts: 45

Rep: Reputation: Disabled
dear knudfl,,,


sudo dpkg -i gcc41-compat-4.1.2-ubuntu1210_i386.deb g++41-compat-4.1.2_i386.deb..after this command run..i restart the system...but still that gcc version cant install
i check which gcc41
hems@hems-Inspiron-5521:~$ which gcc41
hems@hems-Inspiron-5521:~$ which g++41


Is there anyother way to install this packages.....
 
Old 10-03-2013, 07:27 AM   #99
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2020 CentOS6.10 CentOS7.7 + 50+ other Linux OS, for test only.
Posts: 17,383

Rep: Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599
# 98 .
Quote:
I check which gcc41
hems@hems-Inspiron-5521:~$ which gcc41
hems@hems-Inspiron-5521:~$ which g++41
$ which gcc41 <Enter>
.. the reply will usually be : /usr/gcc41/bin/gcc41


$ dpkg --list | grep gcc41 <Enter>
.. the reply here ( Ubuntu 12.04 - i686 ) is :
Code:
ii  gcc41-compat      4.1.2.ubu1204         No description
And : $ dpkg --list | grep g++41 <Enter>
Code:
ii  g++41-compat      4.1.2.ubu1204         No description
? What is the output from this command : $ uname -m <Enter>

-

Last edited by knudfl; 10-03-2013 at 07:28 AM.
 
1 members found this post helpful.
Old 10-03-2013, 07:42 AM   #100
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2020 CentOS6.10 CentOS7.7 + 50+ other Linux OS, for test only.
Posts: 17,383

Rep: Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599
# 99 .

And you are right.
The "gcc41-compat-4.1.2-ubuntu1210_i386.deb" isn't working.
( Anyway not today.)

Please replace with $ sudo dpkg -i gcc41-compat-4.1.2.ubu1204_i386.deb
https://docs.google.com/file/d/0B7S2...it?usp=sharing

-
 
1 members found this post helpful.
Old 10-03-2013, 09:47 AM   #101
hemamahe
Member
 
Registered: Jul 2013
Location: india
Posts: 45

Rep: Reputation: Disabled
thanks for ur valuable reply....knudfl...

Last edited by hemamahe; 10-03-2013 at 10:02 AM.
 
Old 10-03-2013, 10:26 AM   #102
hemamahe
Member
 
Registered: Jul 2013
Location: india
Posts: 45

Rep: Reputation: Disabled
during installation aqua3d i got an error...

P
Parser.cpp.text+0x16b5): undefined reference to `wxLogMessage(wchar_t const*, ...)'
Parser.o: In function `Parser::loadEarlyEvents(bool, bool)':
Parser.cpp.text+0x194b): undefined reference to `wxLogVerbose(wchar_t const*, ...)'
Parser.cpp.text+0x1970): undefined reference to `wxLogVerbose(wchar_t const*, ...)'
Parser.cpp.text+0x1d54): undefined reference to `wxLogError(wchar_t const*, ...)'
collect2: ld returned 1 exit status
make: *** [aqua3d] Error 1
hems@hems-Inspiron-5521:~/aqua3d-1.0.0-src$


and in my system i have ATI GRAPHICS CARD...how to install nvidia package..
 
Old 10-03-2013, 11:54 AM   #103
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2020 CentOS6.10 CentOS7.7 + 50+ other Linux OS, for test only.
Posts: 17,383

Rep: Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599
# 102 .

Right. Aqua3d fails on Ubuntu 12.04 . Can't see why.

But : You can use a binary 'aqua3d' : aqua3d-1.0.0-i386.tar.bz2, 165kB
https://docs.google.com/file/d/0B7S2...it?usp=sharing

-
 
1 members found this post helpful.
Old 10-03-2013, 12:01 PM   #104
hemamahe
Member
 
Registered: Jul 2013
Location: india
Posts: 45

Rep: Reputation: Disabled
thanks...provide some help full tutorials and examples...which is used for understand the basic concepts...because i am new to ns2...but i very much interested to learn...this concepts...
 
Old 10-03-2013, 12:04 PM   #105
knudfl
LQ 5k Club
 
Registered: Jan 2008
Location: Copenhagen DK
Distribution: PCLinuxOS2020 CentOS6.10 CentOS7.7 + 50+ other Linux OS, for test only.
Posts: 17,383

Rep: Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599Reputation: 3599
# 102 .
Quote:
in my system I have ATI GRAPHICS CARD...how to install nvidia package
Don't know of any Nvidia packages you can install
without having an Nvidia graphics card.

Nvidia drivers : Only when you have an Nvidia graphics card.

Nvidia CUDA : Don't know of any use for that,
unless you have an Nvidia graphics card.

-
 
  


Reply

Tags
aquasim, g++41-compat-1210, ns2


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
Make Ubuntu Linux work as a wireless router--wireless Internet sharing erossmith Linux - General 6 04-21-2013 09:59 PM
Cannot get wireless to work on Toshiba Satellite L350-170 (Wireless card: RTL8187B) TiggerTiggerTigger Linux - Laptop and Netbook 5 01-07-2009 06:33 PM
Wireless (Intel PRO/Wireless 2200BG) network problems using FC5 kernel 2.6.17 TempleOwl1999 Linux - Laptop and Netbook 14 08-26-2006 02:57 AM

LinuxQuestions.org > Forums > Linux Forums > Linux - Networking > Linux - Wireless Networking

All times are GMT -5. The time now is 08:09 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration